com.io7m.jregions.core.unparameterized.areas

## Class AreaL.Builder

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.areas.AreaL.Builder

- Enclosing class:
    AreaL

      public static final class AreaL.Builder
      extends Object

  Builds instances of type `AreaL`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AreaL` | `build()` Builds a new `AreaL`.
    `AreaL.Builder` | `from(AreaLType instance)` Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.areas.AreaLType` instance.
    `AreaL.Builder` | `from(AreaValuesLType instance)` Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.areas.AreaValuesLType` instance.
    `AreaL.Builder` | `setMaximumX(long maximumX)` Initializes the value for the `maximumX` attribute.
    `AreaL.Builder` | `setMaximumY(long maximumY)` Initializes the value for the `maximumY` attribute.
    `AreaL.Builder` | `setMinimumX(long minimumX)` Initializes the value for the `minimumX` attribute.
    `AreaL.Builder` | `setMinimumY(long minimumY)` Initializes the value for the `minimumY` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final AreaL.Builder from(AreaLType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.areas.AreaLType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final AreaL.Builder from(AreaValuesLType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.areas.AreaValuesLType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setMinimumX

          public final AreaL.Builder setMinimumX(long minimumX)

      Initializes the value for the `minimumX` attribute.
      Parameters:
        `minimumX` - The value for minimumX
      Returns:
        `this` builder for use in a chained invocation

    - #### setMaximumX

          public final AreaL.Builder setMaximumX(long maximumX)

      Initializes the value for the `maximumX` attribute.
      Parameters:
        `maximumX` - The value for maximumX
      Returns:
        `this` builder for use in a chained invocation

    - #### setMinimumY

          public final AreaL.Builder setMinimumY(long minimumY)

      Initializes the value for the `minimumY` attribute.
      Parameters:
        `minimumY` - The value for minimumY
      Returns:
        `this` builder for use in a chained invocation

    - #### setMaximumY

          public final AreaL.Builder setMaximumY(long maximumY)

      Initializes the value for the `maximumY` attribute.
      Parameters:
        `maximumY` - The value for maximumY
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public AreaL build()

      Builds a new `AreaL`.
      Returns:
        An immutable instance of AreaL
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com